gnutls_pkcs11_obj_export_url(3)

NAME
gnutls_pkcs11_obj_export_url - API function

SYNOPSIS
#include <gnutls/pkcs11.h>

int gnutls_pkcs11_obj_export_url(gnutls_pkcs11_obj_t obj, gnutls_pkcs11_url_type_t detailed, char ** url);

ARGUMENTS

gnutls_pkcs11_obj_t obj
    Holds the PKCS 11 certificate

gnutls_pkcs11_url_type_t detailed
    non zero if a detailed URL is required

char ** url
    will contain an allocated url

DESCRIPTION
This function will export a URL identifying the given object.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
2.12.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001- Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/